.login-container {
    min-height: 100vh;
    @include flex(flex, center, center);

    .form-container {
        width: 100%;
        max-width: 1000px;
        display: grid;
        box-shadow: 0 0 30px rgba(64, 98, 224, 0.1);
        overflow: hidden;

        @media(min-width: 600px) {
            grid-template-columns: 1fr 400px;
            border-radius: 20px;
        }

        .display {
            @include flex(flex, center, center);
            padding: 40px;
            position: relative;
            overflow: hidden;
            background: white;
        }

        .form-box {
            padding: 80px 60px;
            background: $primary;
            color: #0d1532;

            h2 {
                text-align: center;
                font-weight: bold;
                margin-bottom: 0;
                margin-top: 40px;
                font-size: 2rem;
                color: white;
            }

            h5 {
                text-align: center;
                font-weight: normal;
                margin-bottom: 60px;
                font-size: 1rem;
            }

            label {
                color: rgba(0,0,0,0.5);
            }

            .form-control input,
            .form-control input:-webkit-autofill,
            .form-control input:-webkit-autofill:focus,
            .form-control input:-webkit-autofill:hover {
                border: 2px solid transparent;
                background: rgba(0,0,0,0.15);
                color: #bbc9ff;
                margin-bottom: 10px;
                transition: background-color 5000s ease-in-out 0s;
                font-size: 1rem;
                -webkit-text-fill-color: #bbc9ff;
                font-family: $app-font;
            }

            input:focus {
                background: rgba(0,0,0,0.25);
            }

            .form-control.error .bordered {
                padding-right: 50px;
                border-color: $secondary;
                margin-bottom: 0;
            }

            .form-control .control-validation {
                color: #bbc9ff;
                margin-bottom: 10px;
            }

            .password-recovery {
                font-size: .9rem;
                display: block;
                text-align: right;
            }

            a {
                color: #bbc9ff;
                cursor: pointer;
            }

            button {
                margin-top: 60px;
                width: 100%;

                &.loading {
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    mr-loader {
                        margin-right: 5px;
                    }
                }
            }

            .form-switcher {
                font-size: .9rem;
                text-align: center;
                margin-top: 5px;
            }

        }

    }
}
